﻿using System;
using System.Collections.Generic;
using Styx.Plugins.PluginClass;
using Styx;
using Styx.Combat.CombatRoutine;
using Styx.Helpers;
using Styx.Logic;
using Styx.Logic.Combat;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using System.IO;

namespace PrintSpells
{
    public class MySpells : HBPlugin
    {
        private static LocalPlayer Me { get { return ObjectManager.Me; } }
        public override string Name { get { return "Get Spell List (by Ama)"; } }
        public override string Author { get { return "Ama"; } }
        public override string ButtonText { get { return "Open GUI"; } }
        public override bool WantButton { get { return true; } }
        public override Version Version { get { return new Version(1, 0, 4); } }

        public override void Pulse() { }

        public override void OnButtonPress()
        {
            Form1 Set_Form = new Form1();
            Set_Form.Show();
        }

        public List<WoWSpell> MySpellList()
        {
            List<WoWSpell> list = new List<WoWSpell>();
            foreach (KeyValuePair<string, WoWSpell> pair in SpellManager.Spells)
            {
                list.Add(pair.Value);
            }
            return list;
        }

        public void outputSpells()
        {
            using (System.IO.StreamWriter file = new System.IO.StreamWriter(
                Path.Combine(Logging.ApplicationPath, string.Format(@"Plugins/MySpells/myspells.txt", true))))
            {
                foreach (WoWSpell s in MySpellList())
                {
                    file.WriteLine(s.Name.ToString());
                }
                file.Close();
            } 
        }
    }
}
